import { pgEnum } from "drizzle-orm/pg-core";

// Enum для ролей пользователей
export const roleNameEnum = pgEnum("role_name", [
  "admin",
  "director",
  "manager",
]);

// Enum для типов серверов
export const serverTypeEnum = pgEnum("server_type", ["stream", "local"]);

// Enum для местоположения серверов
export const serverLocationEnum = pgEnum("server_location", ["ru1", "uae1"]);

// Enum для tier серверов
export const serverTierEnum = pgEnum("server_tier", ["demo", "prod"]);
